﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using IFCExporterUILocal.Properties;

namespace BIM.IFC.Export.UI
{
    public class IFCSpaceBoundariesAttributes
    {
        public int Level { get; set; }
        public IFCSpaceBoundariesAttributes(int level)
        {
            Level = level;
        }

        public override string ToString()
        {
            switch (Level)
            {
                case 0:
                    return Resources.SpaceBoundariesNone;
                case 1:
                    return Resources.SpaceBoundaries1stLevel;
                case 2:
                    return Resources.SpaceBoundaries2ndLevel;
                default:
                    return Resources.SpaceBoundariesUnrecognized;
            }
        }
    }
}
