﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Autodesk.Revit.DB;

namespace StairsAutomation
{
    public interface IStairsRunConfiguration
    {
        IList<Curve> GetRunStairsPath();
        IList<Curve> GetRunRiserCurves();
        IList<Curve> GetRunBoundaryCurves();
        double GetRunElevation();
    }
}
